## Package org.apache.hadoop.ipc

Tools to help define network clients and servers.

See:
Description

Interface Summary
VersionedProtocol: Superclass of all protocols that use Hadoop RPC.

Class Summary
Client: A client for an IPC service.
RPC: A simple RPC mechanism.
RPC.Server: An RPC Server.
Server: An abstract IPC service.

Exception Summary
RemoteException
RPC.VersionMismatch: A version mismatch for the RPC protocol.

## Package org.apache.hadoop.ipc Description

Tools to help define network clients and servers.

Copyright © 2009 The Apache Software Foundation